=== debian/changelog ===
spterm (3.3-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Wed, 17 Mar 2021 18:48:30 +0100
