=== debian/control ===
Source: spterm
Section: System
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 11), build-essential, coreutils, libvte-2.91-dev, libgtk-3-dev, make, cmake, gcc
Standards-Version: 3.9.6
Homepage: https://github.com/sparkylinux/spterm

Package: spterm
Architecture: any
Depends: coreutils, libvte-2.91-0, libgtk-3-0
Description: spterm
  A very simple, VTE based terminal emulator.
  .
  It is a fork off k3rmit.
